com.google.gwt.user.datepicker.client

## Class DatePicker.StandardCss

- java.lang.Object
- - com.google.gwt.user.datepicker.client.DatePicker.StandardCss

Enclosing class:
  DatePicker

    static class DatePicker.StandardCss
    extends java.lang.Object

Convenience class to group css style names.

### Field Summary

Fields
`(package private) static DatePicker.StandardCss` `DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`StandardCss(java.lang.String widgetName, java.lang.String baseName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `datePicker()`
`java.lang.String` `day()`
`java.lang.String` `day(java.lang.String dayModifier)`
`java.lang.String` `dayIsDisabled()`
`java.lang.String` `dayIsFiller()`
`java.lang.String` `dayIsHighlighted()`
`java.lang.String` `dayIsToday()`
`java.lang.String` `dayIsValue()`
`java.lang.String` `dayIsValueAndHighlighted()`
`java.lang.String` `dayIsWeekend()`
`java.lang.String` `days()`
`java.lang.String` `daysLabel()`
`java.lang.String` `getBaseStyleName()`
`java.lang.String` `getWidgetStyleName()`
`java.lang.String` `month()`
`java.lang.String` `monthSelector()`
`java.lang.String` `nextButton()`
`java.lang.String` `nextYearButton()`
`java.lang.String` `previousButton()`
`java.lang.String` `previousYearButton()`
`java.lang.String` `weekdayLabel()`
`java.lang.String` `weekendLabel()`
`protected java.lang.String` `wrap(java.lang.String style)` Prepends the base name to the given style.
`java.lang.String` `year()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    static DatePicker.StandardCss DEFAULT

### Constructor Detail

#### StandardCss

    public StandardCss(java.lang.String widgetName,
                       java.lang.String baseName)

### Method Detail

#### datePicker

    public java.lang.String datePicker()

#### day

    public java.lang.String day()

#### day

    public java.lang.String day(java.lang.String dayModifier)

#### dayIsDisabled

    public java.lang.String dayIsDisabled()

#### dayIsFiller

    public java.lang.String dayIsFiller()

#### dayIsHighlighted

    public java.lang.String dayIsHighlighted()

#### dayIsToday

    public java.lang.String dayIsToday()

#### dayIsValue

    public java.lang.String dayIsValue()

#### dayIsValueAndHighlighted

    public java.lang.String dayIsValueAndHighlighted()

#### dayIsWeekend

    public java.lang.String dayIsWeekend()

#### days

    public java.lang.String days()

#### daysLabel

    public java.lang.String daysLabel()

#### getBaseStyleName

    public java.lang.String getBaseStyleName()

#### getWidgetStyleName

    public java.lang.String getWidgetStyleName()

#### month

    public java.lang.String month()

#### monthSelector

    public java.lang.String monthSelector()

#### nextButton

    public java.lang.String nextButton()

#### nextYearButton

    public java.lang.String nextYearButton()

#### previousButton

    public java.lang.String previousButton()

#### previousYearButton

    public java.lang.String previousYearButton()

#### weekdayLabel

    public java.lang.String weekdayLabel()

#### weekendLabel

    public java.lang.String weekendLabel()

#### year

    public java.lang.String year()

#### wrap

    protected java.lang.String wrap(java.lang.String style)

Prepends the base name to the given style.

Parameters:
  `style` - style name
Returns:
  style name